## org.apache.lucene.analysis.sinks
Class TokenRangeSinkFilter

    java.lang.Object
      org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter
          org.apache.lucene.analysis.sinks.TokenRangeSinkFilter

    public class TokenRangeSinkFilter

extends org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter

Counts the tokens as they go by and saves to the internal list those between the range of lower and upper, exclusive of upper

Constructor Summary
`TokenRangeSinkFilter(int lower, int upper)`

Method Summary
`boolean` `accept(org.apache.lucene.util.AttributeSource source)`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenRangeSinkFilter

    public TokenRangeSinkFilter(int lower,
                                int upper)

Method Detail

### accept

    public boolean accept(org.apache.lucene.util.AttributeSource source)

  Specified by:
    `accept` in class `org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.